Skip to main content
GET
/
v1
/
fa
/
{ticker}
/
statements
Danh sách báo cáo tài chính
curl --request GET \
  --url https://api-gw.verolabs.co/v1/fa/{ticker}/statements \
  --header 'X-API-KEY: <api-key>'
{
  "data": [
    {
      "ticker": "<string>",
      "fiscal_year": 123,
      "fiscal_quarter": 123,
      "statement_type": "<string>",
      "metric_code": "<string>",
      "metric_label": "<string>",
      "value": 123,
      "observed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.data-hub.verolabs.co/llms.txt

Use this file to discover all available pages before exploring further.

Fetch financial statement metrics for a company ticker.

Financial metrics

Use for fundamentals pages and analytics.

Period filters

Filter by year, quarter and statement type.

Common use cases

  • Build a company fundamentals page.
  • Compare financial metrics by period.
  • Feed financial analysis workflows.

Key parameters

  • ticker: company ticker.
  • type: statement type filter.
  • year and quarter: reporting period filters.

Authorizations

X-API-KEY
string
header
required

API key được cấp cho tài khoản của bạn.

Path Parameters

ticker
string
required
Example:

"FPT"

Query Parameters

type
enum<string>
Available options:
IS,
BS,
CF,
CTCB,
TSSL,
CCTSVV,
ROAROE
Example:

"IS"

year
integer
Example:

2025

quarter
integer
Required range: 0 <= x <= 4
Example:

4

limit
integer
default:1000
Required range: 1 <= x <= 10000
Example:

100

Response

OK

data
object[]